//Suggested location to add your overrides so that migration would be easy by just updating the SASS folder in the future

@font-face {
    font-family: TrueBold;
    src: url('./TrueFont/TBold.ttf');
}

@font-face {
    font-family: TrueLight;
    src: url('./TrueFont/TLight.ttf');
}

@font-face {
    font-family: TrueMedium;
    src: url('./TrueFont/TMedium.ttf');
}

@font-face {
    font-family: yu-gothic-light;
    src: url('./yu-gothic-light/yugothil.eot'); /* IE9 Compat Modes */
    src: url('./yu-gothic-light/yugothil.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('./yu-gothic-light/yugothil.woff2') format('woff2'), /* Super Modern Browsers */
       url('./yu-gothic-light/yugothil.woff') format('woff'), /* Pretty Modern Browsers */
       url('./yu-gothic-light/yugothil.ttf')  format('truetype'), /* Safari, Android, iOS */
       url('./yu-gothic-light/yugothil.svg#svgFontName') format('svg'); /* Legacy iOS */
}

@font-face {
    font-family: yu-gothic;
    src: url('./yu-gothic/yugothib.ttf');  
}


.card {
    box-shadow: 12px 12px 2px 1px #00000045;
}

body .p-button.p-button-text-only .p-button-text {
    padding: 0em 1em;
}


body .p-tieredmenu .p-submenu-list{
    width: fit-content;
}

body .p-tieredmenu .p-menuitem.p-menuitem-active > .p-menuitem-link .p-menuitem-icon, body .p-tieredmenu .p-menuitem.p-menuitem-active > .p-menuitem-link .p-submenu-icon {
  color: #eb232a !important;
}
.layout-topbar .layout-topbar-icons button {
    margin-left: 1em;
}


/* title */
/*#region Colors*/
.themeprimary {
  color: #2dc3e8 !important;
}
.themesecondary {
  color: #eb232a !important;
}
.themethirdcolor {
  color: #ffce55 !important;
}
.themefourthcolor {
  color: #a0d468 !important;
}
.themefifthcolor {
  color: #e75b8d !important;
}

.bordered-themeprimary {
  border-color: #2dc3e8 !important;
}
.bordered-themesecondary {
  border-color: #eb232a !important;
}
.bordered-themethirdcolor {
  border-color: #ffce55 !important;
}
.bordered-themefourthcolor {
  border-color: #a0d468 !important;
}
.bordered-themefifthcolor {
  border-color: #e75b8d !important;
}
.bordered-white {
  border-color: #ffffff !important;
}
.bordered-snow {
  border-color: #fbfbfb !important;
}
.bordered-whitesmoke {
  border-color: #f5f5f5 !important;
}
.bordered-seashell {
  border-color: #f3f3f3 !important;
}
.bordered-ivory {
  border-color: #eeeeee !important;
}
.bordered-platinum {
  border-color: #e5e5e5 !important;
}
.bordered-lightgray {
  border-color: #d0d0d0 !important;
}
.bordered-gray {
  border-color: #cccccc !important;
}
.bordered-darkgray {
  border-color: #999999 !important;
}
.bordered-silver {
  border-color: #777777 !important;
}
.bordered-sonic-silver {
  border-color: #737373 !important;
}
.bordered-storm-cloud {
  border-color: #666666 !important;
}
.bordered-lightcarbon {
  border-color: #555555 !important;
}
.bordered-carbon {
  border-color: #444444 !important;
}
.bordered-slate-gray {
  border-color: #333333 !important;
}
.bordered-darkcarbon {
  border-color: #262626 !important;
}
.bordered-blue {
  border-color: #5db2ff !important;
}
.bordered-info {
  border-color: #57b5e3 !important;
}
.bordered-sky {
  border-color: #11a9cc !important;
}
.bordered-primary {
  border-color: #4374e0 !important;
}
.bordered-azure {
  border-color: #2dc3e8 !important;
}
.bordered-blueberry {
  border-color: #6f85bf !important;
}
.bordered-palegreen {
  border-color: #a0d468 !important;
}
.bordered-success {
  border-color: #53a93f !important;
}
.bordered-green {
  border-color: #8cc474 !important;
}
.bordered-lightyellow {
  border-color: #f6d52e !important;
}
.bordered-yellow {
  border-color: #ffce55 !important;
}
.bordered-warning {
  border-color: #f4b400 !important;
}
.bordered-gold {
  border-color: #f9b256 !important;
}
.bordered-orange {
  border-color: #fb6e52 !important;
}
.bordered-lightred {
  border-color: #e46f61 !important;
}
.bordered-darkorange {
  border-color: #ed4e2a !important;
}
.bordered-red {
  border-color: #df5138 !important;
}
.bordered-danger {
  border-color: #d73d32 !important;
}
.bordered-pink {
  border-color: #e75b8d !important;
}
.bordered-darkpink {
  border-color: #cc324b !important;
}
.bordered-magenta {
  border-color: #bc5679 !important;
}
.bordered-purple {
  border-color: #7e3794 !important;
}
.bordered-maroon {
  border-color: #981b48 !important;
}

.p-button.p-fileupload-choose.p-component.p-button-text-icon-left{
  color: #f7f7f7;
  background-color: #999999;
  border: 1px solid #999999;
}

body .p-growl .p-growl-item-container.p-growl-message-info {
  background-color: #68b7f3;
}

body .p-growl .p-growl-item-container.p-growl-message-success {
  // background-color: #4dbd74;
  color: #ffffff;
  background-color: #34A835;
  border: 1px solid #34A835;
}
body .p-growl .p-growl-item-container.p-growl-message-success .p-growl-image,
body .p-growl .p-growl-item-container.p-growl-message-success .p-growl-icon-check, 
body .p-growl .p-growl-item-container.p-growl-message-success .p-growl-icon-close {
  color: #ffffff;
}
body .p-growl .p-growl-item-container.p-growl-message-warn {
  background-color: #fcd15a;
}

body .p-growl .p-growl-item-container.p-growl-message-error {
  background-color: #f86c6b;
  color:#ffffff;

}
body .p-growl .p-growl-item-container.p-growl-message-error .p-growl-image,
body .p-growl .p-growl-item-container.p-growl-message-error .p-growl-icon-close {
  color: #ffffff;
}

body .layout-static .wid-app {
  width:100%;
}

body .layout-static .name-app .name-app-text{
  font-size: 17px;
}
body .layout-static .softIns .ahvr-circle {
  width:70%;
}

.tooltip.bottom:after {
  font-size: 13px;
  font-weight: 400;
}

.ahvr-circle:hover .spinner {
  // background-color: rgba(0, 0, 0, 0.6);
  background-color: #ea50568f;
}

.p-link{
  background-color: rgba(255, 255, 255, 0);
}


body .p-growl {
  opacity: 1;
}
/* ----------- iPhone 4 and 4S ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 480px)
  and (-webkit-min-device-pixel-ratio: 2) {
 
}

/* Portrait */
@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 480px)
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: portrait) {
    

}

/* Landscape */
@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 480px)
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: landscape) {

}

/* ----------- iPhone 5, 5S, 5C and 5SE ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 568px)
  and (-webkit-min-device-pixel-ratio: 2) {
    button.but-name.p-link { 
        display : none
    }
}

/* Portrait */
@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 568px)
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: portrait) {
    button.but-name.p-link { 
        display : none
    }
}

/* Landscape */
@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 568px)
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: landscape) {
    button.but-name.p-link { 
        display : none
    }
}

/* ----------- iPhone 6, 6S, 7 and 8 ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 375px) 
  and (max-device-width: 667px) 
  and (-webkit-min-device-pixel-ratio: 2) { 
   
}

/* Portrait */
@media only screen 
  and (min-device-width: 375px) 
  and (max-device-width: 667px) 
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: portrait) { 
    
}

/* Landscape */
@media only screen 
  and (min-device-width: 375px) 
  and (max-device-width: 667px) 
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: landscape) { 

}

/* ----------- iPhone 6+, 7+ and 8+ ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 414px) 
  and (max-device-width: 736px) 
  and (-webkit-min-device-pixel-ratio: 3) { 

}

/* Portrait */
@media only screen 
  and (min-device-width: 414px) 
  and (max-device-width: 736px) 
  and (-webkit-min-device-pixel-ratio: 3)
  and (orientation: portrait) { 
 
}

/* Landscape */
@media only screen 
  and (min-device-width: 414px) 
  and (max-device-width: 736px) 
  and (-webkit-min-device-pixel-ratio: 3)
  and (orientation: landscape) { 

}

/* ----------- iPhone X ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 375px) 
  and (max-device-width: 812px) 
  and (-webkit-min-device-pixel-ratio: 3) { 
    
}

/* Portrait */
@media only screen 
  and (min-device-width: 375px) 
  and (max-device-width: 812px) 
  and (-webkit-min-device-pixel-ratio: 3)
  and (orientation: portrait) { 

}

/* Landscape */
@media only screen 
  and (min-device-width: 375px) 
  and (max-device-width: 812px) 
  and (-webkit-min-device-pixel-ratio: 3)
  and (orientation: landscape) { 
    

}

/* ----------- Galaxy S3 ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 320px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 2) {

}

/* Portrait */
@media screen 
  and (device-width: 320px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 2) 
  and (orientation: portrait) {
    
}

/* Landscape */
@media screen 
  and (device-width: 320px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 2) 
  and (orientation: landscape) {

}

/* ----------- Galaxy S4, S5 and Note 3 ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 320px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) {

}

/* Portrait */
@media screen 
  and (device-width: 320px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) 
  and (orientation: portrait) {

}

/* Landscape */
@media screen 
  and (device-width: 320px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) 
  and (orientation: landscape) {

}

/* ----------- Galaxy S6 ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 4) {

}

/* Portrait */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 4) 
  and (orientation: portrait) {

}

/* Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 4) 
  and (orientation: landscape) {

}

/* ----------- Google Pixel ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) {

}

/* Portrait */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) 
  and (orientation: portrait) {

}

/* Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) 
  and (orientation: landscape) {

}

/* ----------- Google Pixel XL ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 4) {

}

/* Portrait */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 4) 
  and (orientation: portrait) {

}

/* Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 4) 
  and (orientation: landscape) {

}

/* ----------- HTC One ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) {

}

/* Portrait */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) 
  and (orientation: portrait) {

}

/* Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) 
  and (orientation: landscape) {

}

/* ----------- Windows Phone ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 480px) 
  and (device-height: 800px) {

}

/* Portrait */
@media screen 
  and (device-width: 480px) 
  and (device-height: 800px)  
  and (orientation: portrait) {
    
}

/* Landscape */
@media screen 
  and (device-width: 480px) 
  and (device-height: 800px) 
  and (orientation: landscape) {

}

/* ----------- iPad 1, 2, Mini and Air ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (-webkit-min-device-pixel-ratio: 1) {

}

/* Portrait */
@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (orientation: portrait) 
  and (-webkit-min-device-pixel-ratio: 1) {

}



/* Landscape */
@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (orientation: landscape) 
  and (-webkit-min-device-pixel-ratio: 1) {
    
}

/* ----------- iPad 3, 4 and Pro 9.7" ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (-webkit-min-device-pixel-ratio: 2) {
   
}

/* Portrait */
@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (orientation: portrait) 
  and (-webkit-min-device-pixel-ratio: 2) {
    
}

/* Landscape */
@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (orientation: landscape) 
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* ----------- iPad Pro 10.5" ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 834px) 
  and (max-device-width: 1112px)
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* Portrait */
/* Declare the same value for min- and max-width to avoid colliding with desktops */
/* Source: https://medium.com/connect-the-dots/css-media-queries-for-ipad-pro-8cad10e17106*/
@media only screen 
  and (min-device-width: 834px) 
  and (max-device-width: 834px) 
  and (orientation: portrait) 
  and (-webkit-min-device-pixel-ratio: 2) {



}

/* Landscape */
/* Declare the same value for min- and max-width to avoid colliding with desktops */
/* Source: https://medium.com/connect-the-dots/css-media-queries-for-ipad-pro-8cad10e17106*/
@media only screen 
  and (min-device-width: 1112px) 
  and (max-device-width: 1112px) 
  and (orientation: landscape) 
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* ----------- iPad Pro 12.9" ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 1024px) 
  and (max-device-width: 1366px)
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* Portrait */
/* Declare the same value for min- and max-width to avoid colliding with desktops */
/* Source: https://medium.com/connect-the-dots/css-media-queries-for-ipad-pro-8cad10e17106*/
@media only screen 
  and (min-device-width: 1024px) 
  and (max-device-width: 1024px) 
  and (orientation: portrait) 
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* Landscape */
/* Declare the same value for min- and max-width to avoid colliding with desktops */
/* Source: https://medium.com/connect-the-dots/css-media-queries-for-ipad-pro-8cad10e17106*/
@media only screen 
  and (min-device-width: 1366px) 
  and (max-device-width: 1366px) 
  and (orientation: landscape) 
  and (-webkit-min-device-pixel-ratio: 2) {

}


/* ----------- Galaxy Tab 2 ----------- */

/* Portrait and Landscape */
@media 
  (min-device-width: 800px) 
  and (max-device-width: 1280px) {

}

/* Portrait */
@media 
  (max-device-width: 800px) 
  and (orientation: portrait) { 

}

/* Landscape */
@media 
  (max-device-width: 1280px) 
  and (orientation: landscape) { 

}

/* ----------- Galaxy Tab S ----------- */

/* Portrait and Landscape */
@media 
  (min-device-width: 800px) 
  and (max-device-width: 1280px)
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* Portrait */
@media 
  (max-device-width: 800px) 
  and (orientation: portrait)
  and (-webkit-min-device-pixel-ratio: 2) { 

}

/* Landscape */
@media 
  (max-device-width: 1280px) 
  and (orientation: landscape)
  and (-webkit-min-device-pixel-ratio: 2) { 

}

/* ----------- Nexus 7 ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 601px) 
  and (device-height: 906px) 
  and (-webkit-min-device-pixel-ratio: 1.331) 
  and (-webkit-max-device-pixel-ratio: 1.332) {

}

/* Portrait */
@media screen 
  and (device-width: 601px) 
  and (device-height: 906px) 
  and (-webkit-min-device-pixel-ratio: 1.331) 
  and (-webkit-max-device-pixel-ratio: 1.332) 
  and (orientation: portrait) {

}

/* Landscape */
@media screen 
  and (device-width: 601px) 
  and (device-height: 906px) 
  and (-webkit-min-device-pixel-ratio: 1.331) 
  and (-webkit-max-device-pixel-ratio: 1.332) 
  and (orientation: landscape) {

}

/* ----------- Nexus 9 ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 1536px) 
  and (device-height: 2048px) 
  and (-webkit-min-device-pixel-ratio: 1.331) 
  and (-webkit-max-device-pixel-ratio: 1.332) {

}

/* Portrait */
@media screen 
  and (device-width: 1536px) 
  and (device-height: 2048px) 
  and (-webkit-min-device-pixel-ratio: 1.331) 
  and (-webkit-max-device-pixel-ratio: 1.332) 
  and (orientation: portrait) {

}

/* Landscape */
@media screen 
  and (device-width: 1536px) 
  and (device-height: 2048px) 
  and (-webkit-min-device-pixel-ratio: 1.331) 
  and (-webkit-max-device-pixel-ratio: 1.332) 
  and (orientation: landscape) {

}
